Method: projects.locations.dataStores.get

Gets details of a single DataStore.

HTTP request

GET https://vectorsearch.googleapis.com/v1beta/{name}

Path parameters

Parameters
name

string

Required. Name of the resource

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of DataStore.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/vectorsearch
  • https://www.googleapis.com/auth/vectorsearch.readonly

For more information, see the Authentication Overview.